Don't use octal escape sequences as they cause syntax errors in strict mode #825

Merged
merged 1 commit into from Jun 26, 2013

Conversation

Projects
None yet
2 participants
Contributor

jamesallardice commented Jun 19, 2013

Currently, attempting to run an application that depends upon this module in global strict mode (via the --use-strict flag) fails, due to the use of octal escape sequences (used to produce coloured output).

Octal escape sequences are deprecated in ES5 and cause a syntax error in strict mode. Changing the octal sequences to be hex escapes fixes the problem, and should work in all shells that support the octal syntax for colours.

tj added a commit that referenced this pull request Jun 26, 2013

Merge pull request #825 from jamesallardice/fix-strict-mode
Don't use octal escape sequences as they cause syntax errors in strict mode

@tj tj merged commit b1e91a5 into senchalabs:master Jun 26, 2013

1 check passed

default The Travis CI build passed
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment